Name:           rsibreak
Version:        0.11
Summary:        Assists in the Recovery and Prevention of Repetitive Strain Injury
Release:        %mkrel 4
License:        GPLv2 and GFDL
Group:          Accessibility
URL:            http://www.rsibreak.org
Source0:        http://www.rsibreak.org/files/%{name}-%{version}.tar.bz2
BuildRequires:  kdelibs4-devel
Requires:       kdebase4-runtime

%description
Repetitive Strain Injury is an illness which can occur as a result of
working with a mouse and keyboard. This utility can be used to remind
you to take a break now and then.

%files  -f %name.lang
%docdir %{_kde_docdir}/HTML/
%doc AUTHORS NEWS ChangeLog TODO
%{_kde_bindir}/%name
%{_kde_appsdir}/rsibreak/rsibreak.notifyrc               
%{_kde_datadir}/autostart/rsibreak.desktop
%{_kde_iconsdir}/hicolor/*/*/*
%{_kde_applicationsdir}/rsibreak.desktop
%{_datadir}/dbus-1/interfaces/org.rsibreak.rsiwidget.xml
#%{_kde_docdir}/HTML/*/rsibreak

#------------------------------------------------------------------------------

%package -n plasma-applet-rsibreak
Summary:    Plasma applet for rsibreak
Group:      Graphical desktop/KDE
Requires:   %name = %version
Requires:   plasma-engine-rsibreak = %version
Requires:   kdebase4-workspace
Provides:   plasma-applet

%description -n plasma-applet-rsibreak
Repetitive Strain Injury is an illness which can occur as a result of
working with a mouse and keyboard. This utility can be used to remind
you to take a break now and then.

This package provides a plasma applet for rsibreak.

%files -n plasma-applet-rsibreak -f plasma_applet_rsibreak.lang
%{_kde_services}/plasma-applet-rsibreak.desktop
%{_kde_libdir}/kde4/plasma_applet_rsibreak.so
%{_kde_appsdir}/desktoptheme/default/widgets/rsibreak.svg

#------------------------------------------------------------------------------

%package -n plasma-engine-rsibreak
Summary:    Plasma engine for rsibreak
Group:      Graphical desktop/KDE
Provides:   plasma-engine

%description -n plasma-engine-rsibreak
Repetitive Strain Injury is an illness which can occur as a result of
working with a mouse and keyboard. This utility can be used to remind
you to take a break now and then.

This package provides the plasma engine for rsibreak.

%files -n plasma-engine-rsibreak
%{_kde_services}/plasma-engine-rsibreak.desktop
%{_kde_libdir}/kde4/plasma_engine_rsibreak.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%{find_lang} %name --with-html
%{find_lang} plasma_applet_rsibreak


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.11-4.mga4
+ Revision: 518157
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.11-3.mga3
+ Revision: 380515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 17 2012 mikala <mikala> 0.11-2.mga2
+ Revision: 197387
- Fix group
- Fix license tag
- Update some descriptions
- Remove %%defattr() & %%clean section

* Mon Mar 07 2011 mikala <mikala> 0.11-1.mga1
+ Revision: 66046
- Update tarball to 0.11

  + jquelin <jquelin>
    - imported package rsibreak


* Sun Jul 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10-1mdv2010.0
+ Revision: 397929
- Update to new version 0.10
- Remove cmake patch which is not needed anymore

* Sun Mar 15 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.0-3mdv2009.1
+ Revision: 355556
- Fix build  against new KDE4
- Rebuild against new KDE4

* Mon Dec 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.0-2mdv2009.1
+ Revision: 317691
- Rebuild against kde 4.1.85

* Fri Nov 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.0-1mdv2009.1
+ Revision: 307336
- import rsibreak


